#ifndef TITAN_PCBCAM_ODBEDAPACKAGEPARSER_H
#define TITAN_PCBCAM_ODBEDAPACKAGEPARSER_H
#include "../titanpcbcamglobal.h"
#include "odbfeatureparser.h"


class PcbCamOdbEdaDataParserPrivate;
class TITAN_PCBCAM_EXPORT PcbCamOdbEdaDataParser
{
public:
    PcbCamOdbEdaDataParser(const QByteArray &iEdaData);
    ~PcbCamOdbEdaDataParser();

    void parse();
    QList<QList<PcbCamOdbFeatureInfo>> packageFeatures();
    QStringList errors();

private:
    void parseSurfaceLine(const QString &iLine);
protected:
    const QScopedPointer<PcbCamOdbEdaDataParserPrivate> d_ptr;

private:
    Q_DECLARE_PRIVATE(PcbCamOdbEdaDataParser)
    Q_DISABLE_COPY(PcbCamOdbEdaDataParser)
};


#endif // TITAN_PCBCAM_ODBEDAPACKAGEPARSER_H
